<nav class="amber lighten-1">
  <div class="nav-wrapper">
    <a href="#" class="brand-logo center">Todo List</a>
  </div>
</nav>

<div style="height: 20px;"></div>

<div class="container">
  <div class="row">
    <app-list></app-list>
  </div>
  <div class="row">
    <div class="input-field col s8">
      <input placeholder="Add Todo......" id="todo" type="text" class="validate" [(ngModel)]="addingName">
    </div>
    <div class="col s2">
      <div class="row">
        <div style="height: 15px;"></div>
        <input type="text" class="datepicker" placeholder="Select Date..." [(ngModel)]="addingDate">
      </div>
    </div>
    <div class="col s2"><br>
      <button class="amber lighten-1 btn waves-effect waves-light" type="submit" name="action" style="float: right;" (click)="addTodo()">Add
        <i class="material-icons right">add</i>
      </button>
    </div>
  </div>
</div>

<script>
    var elems = document.querySelectorAll('.datepicker');
    var instances = M.Datepicker.init(elems);
</script>